var syncSaveType = false;
function saveClaimConsultInfo(type){
	if(syncSaveType){
		return;
	}
	syncSaveType = true;
	 var params={};
	 if($("#input_consultContent").val().trim()==""){
		 alert("请填写申请内容!");
		 return;
	 }
	 //操作类型 1.保存 2.申请 
	 params["operateType"] = type;
	 //赔案号
	 params["claimNo"] = $("#claimNo").val();
	 //协谈申请号
	 params["clmConsultNo"] = $("#clmConsultNo").val();
	 params["consultClaimResult"] = $("#divAuditResult_code").val();
	 //协谈申请
	 params["consultContent"] = $("#input_consultContent").val();
	 //案件来源
	 params["caseSource"] = $("#caseSource").val();
	//AJAX提交
	 $.ajax({
		 type:"POST",
		 url:"saveConsultApply.do",
		 dataType:"json",
		 contentType:"application/json",
		 data:JSON.stringify(params),			
		 error:function(){
			 alert("保存失败！"); 	
			 return;
		 },
		 success:function(data){
			 if (data.successFlag == 'Y') {
				 $("#clmConsultNo").val(data.clmConsultNo);
				 alert("保存成功!");
				 if (type == "2") {
					 skip2OtherPageByClaimNo("/claimserver/humanaudit/humanAuditMain.do", $("#claimNo").val());
				 }
				 syncSaveType =false;
			 } else {
				 alert(data.errorMsg); 
				 syncSaveType =false;
			 }
		 }
	 });
}


//改变radio状态
function chooseThisClass(obj){
	if(obj.className=="radio_no"){
		$("#th span").attr("class","radio_no");
		obj.className="radio_yes";
		$("#clmConsultNo").val($(obj).attr('clmConsultNo'));
		$("#divAuditResult_code").val($(obj).attr('consultClaimResult'));
		
		$("#input_consultContent").val($(obj).attr('consultContent'));
		$("#input_consultFeedback").val($(obj).attr('consultFeedback'));
		if($(obj).attr('consultStatus')==1){
			$("#input_consultContent").removeAttr("readonly");
			$("#input_consultContent").css("background-color","#fff");
			showAll();
		}
		$(".sel_list").find("li").each(function(){
			if($(this).attr("code") == $(obj).attr('consultClaimResult')){
				$("#spanAuditResult").html($(this).html());
				$("#spanAuditResult_default").html($(this).html());
				$("#divAuditResult").hide();
				$("#divAuditResult_default").show();
				return false;
			}
		});
		var lifeFeedbackOpinion = $(obj).attr('lifeFeedbackOpinion');
		if (lifeFeedbackOpinion != null && lifeFeedbackOpinion != "") {
			$("#lifeFeedbackOpinion_table").css("display","");
			$("#lifeFeedbackOpinion_text").val(lifeFeedbackOpinion);
		}
		if($(obj).attr('flag') == "1"){
			$("#input_consultContent").removeAttr("readonly");
			$("#input_consultContent").css("background-color","#fff");
			showAll();
		}
	}else{
		obj.className="radio_no";
		$("#clmConsultNo").val('');
		$("#divAuditResult_code").val('');
		$("#input_consultContent").val('');
		$("#input_consultFeedback").val('');
		$("#input_consultContent").attr("readonly","readonly");
		$("#input_consultContent").css("background-color","#ccc");
		$("#lifeFeedbackOpinion_table").css("display","none");
		$("#lifeFeedbackOpinion_text").val("");
		closeAll();
	}
}
//
////单选按钮选定后
//function checkThisRadio(context){
//	var a = context.split(";");
//	alert(context);
//	$("#rwxz").html(chooseRight(a[0])+ '~~~~~'+a[5]);
//	$("#rwzlx").html(chooseRight(a[1]));
//	$("#textOne").val(a[3]);
//	$("#textTwo").val(a[4]);
//	$(".bot_btn_02").hide();
//	
//	if(a[2]!==''&&a[2]!=undefined&&a[2]!=null){
//		if(a[2].indexOf(",")>0){
//			initAllDcfs();
//			$("#allDcfs span:eq(1)").removeClass().addClass("check_no");
//			var array = a[2].split(",");
//			for(var b=0;b<array.length;b++){
//				 $("#cid_"+array[b]).removeClass().addClass("check_yes"); 
//			}
//		}else{
//			initAllDcfs();
//			$("#allDcfs span:eq(1)").removeClass().addClass("check_no");
//			$("#cid_"+a[2]).removeClass().addClass("check_yes"); 
//		}
//	}else{
//		initAllDcfs();
//	}
//	//
//	addSelectClass();
//	
//	if(a[5]=='3'){
//		$("#textOne").attr("disabled","disabled");
//		$("#textTwo").attr("disabled","disabled");
//		closeAll();
//		removeSelectClass();
//	}else if(a[5]=='2'){
//		showAll();
//		$(".bot_btn_13").hide();
//		$(".bot_btn_03").hide();
//		$("#textTwo").removeAttr("disabled");
//		$("#textOne").attr("disabled","disabled");
//		removeSelectClass();
//	}else if(a[5]=='1'){
//		showAll();
//		$(".bot_btn_02").hide();
//		$("#textOne").removeAttr("disabled");
//		$("#textTwo").attr("disabled","disabled");
//		$("#allDcfs span").unbind("click");	
//		$(".check_yes,.check_no").bind("click", function(){
//			  if($(this).is(".check_yes")){
//					$(this).removeClass("check_yes");
//					$(this).addClass("check_no"); 
//				  
//				  }
//				  else{
//						$(this).removeClass("check_no");
//				        $(this).addClass("check_yes");
//				}
//		});	
//	}
//}

//显示所有按钮
function showAll(){
	$(".bot_btn_13").css("color","#007aff");
	$(".bot_btn_13").attr("onclick","saveClaimConsultInfo('2')");
	$(".bot_btn_03").css("color","#007aff");
	$(".bot_btn_03").attr("onclick","saveClaimConsultInfo('1')");
}
//隐藏所有按钮
function closeAll(){
	$(".bot_btn_13").css("color","#ccc");
	$(".bot_btn_13").removeAttr("onclick");
	$(".bot_btn_03").css("color","#ccc");
	$(".bot_btn_03").removeAttr("onclick");
}






//点击新增按钮
function clearAllInput(){
	$("#clmConsultNo").val('');
	var params={};
	 //赔案号
	 params["claimNo"] = $("#claimNo").val();
	 //案件来源
	 params["caseSource"] = $("#caseSource").val();
	 //案件来源
	 params["consultClaimResult"] = $("#divAuditResult_code").val();
	//AJAX提交
	 $.ajax({
		 type:"POST",
		 url:"newAddConsultApplyValidate.do",
		 dataType:"json",
		 contentType:"application/json",
		 data:JSON.stringify(params),		
		 error:function(){
			 alert("新增失败！");
			 return;
		 },
		 success:function(data){
			 if(data.successFlag=='N'){
				 alert(data.errorMsg);
				 return;
			 }else{
				//清空和赋值
				$("#spanAuditResoult").html("请选择");
				$("#divAuditResoult_code").val('');
				$("#input_consultContent").val('');
				$("#input_consultFeedback").val('');
				$("#input_consultContent").removeAttr("readonly");
				$("#input_consultContent").css("background-color","#fff");
				$("#divAuditResult").show();
				$("#spanAuditResult").removeAttr("readonly");
				$("#spanAuditResult").css("background-color","#fff");
				$("#divAuditResult_default").hide();
				showAll();
			 }
		 }
	 });
}


function forwardAdit(claimNo){
	SkipByPost("../auditinfo/showauditdetail.do",{claimNo:claimNo});
}



